# Created by pyp2rpm-3.3.1
%global pypi_name vine

Name:           python-%{pypi_name}
Version:        5.1.0
Release:        %mkrel 1
Summary:        Promises, promises, promises
Group:          Development/Python
License:        BSD
URL:            https://github.com/celery/vine
Source0:        https://pypi.python.org/packages/source/v/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-celery)

%description
Python Promises.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python Promises.

%package -n python-%{pypi_name}-doc
Summary:        vine documentation

%description -n python-%{pypi_name}-doc
Documentation for vine

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files vine

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc docs/templates/readme.txt README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Fri Feb 23 2024 papoteur <papoteur> 5.1.0-1.mga10
+ Revision: 2043579
- new version 5.1.0

* Mon Mar 06 2023 kekepower <kekepower> 5.0.0-6.mga9
+ Revision: 1947916
- Try building with docs again

* Mon Mar 06 2023 kekepower <kekepower> 5.0.0-5.mga9
+ Revision: 1947898
- Disable docs for now

* Tue Mar 29 2022 umeabot <umeabot> 5.0.0-4.mga9
+ Revision: 1833273
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 5.0.0-3.mga9
+ Revision: 1781275
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 5.0.0-2.mga9
+ Revision: 1732644
- Rebuild for python 3.9

* Fri Oct 02 2020 kekepower <kekepower> 5.0.0-1.mga8
+ Revision: 1631595
- Update to version 5.0.0

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.3.0-5.mga8
+ Revision: 1628006
- rebuild to fix automatic dependencies versioning

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-4.mga8
+ Revision: 1532759
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.3.0-3.mga8
+ Revision: 1442903
- rebuild for python-3.8

* Sat Aug 31 2019 wally <wally> 1.3.0-2.mga8
+ Revision: 1435920
- drop python2 support

* Sat Jul 06 2019 kekepower <kekepower> 1.3.0-1.mga8
+ Revision: 1419147
- Update to version 1.3.0

* Mon Jan 07 2019 shlomif <shlomif> 1.2.0-1.mga7
+ Revision: 1350995
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.1.4-2.mga7
+ Revision: 1290456
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.1.4-1.mga7
+ Revision: 1222285
- BR python-pytest
- imported package python-vine

